<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:fresco="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/message_kaifu_item"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/reuse_listview_item_style"
    android:orientation="vertical"
    android:paddingTop="12dp"
    android:paddingBottom="10dp">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="20dp"
        android:layout_marginRight="20dp">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="2dp">

            <RelativeLayout
                android:id="@+id/message_icon_container"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:layout_marginRight="15dp"
                tools:background="@color/btn_gray">

                <com.facebook.drawee.view.SimpleDraweeView
                    android:id="@+id/message_kefu_icon"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    fresco:placeholderImageScaleType="fitXY"
                    fresco:roundAsCircle="true" />

                <com.facebook.drawee.view.SimpleDraweeView
                    android:id="@+id/message_user_badge"
                    android:layout_width="13dp"
                    android:layout_height="13dp"
                    android:layout_alignParentRight="true"
                    android:layout_alignParentBottom="true" />
            </RelativeLayout>

            <TextView
                android:id="@+id/message_kefu_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@id/message_icon_container"
                android:textColor="@color/text_black"
                android:textSize="12sp"
                tools:text="Kris Wu" />

            <TextView
                android:id="@+id/message_kefu_time"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@id/message_kefu_name"
                android:layout_marginTop="1dp"
                android:layout_toRightOf="@id/message_icon_container"
                android:textColor="@color/hint"
                android:textSize="10sp"
                tools:text="12-13" />

            <View
                android:id="@+id/message_kefu_hint"
                android:layout_width="10dp"
                android:layout_height="10dp"
                android:layout_alignParentRight="true"
                android:background="@drawable/oval_message_hint_bg"
                android:visibility="gone" />
        </RelativeLayout>


        <View
            android:id="@+id/message_kefu_unread"
            android:layout_width="6dp"
            android:layout_height="6dp"
            android:layout_marginLeft="28dp"
            android:background="@drawable/message_unread_hint" />
    </RelativeLayout>

    <com.gh.gamecenter.common.view.MessageSpannableTextView
        android:id="@+id/message_kefu_content"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="20dp"
        android:layout_marginTop="10dp"
        android:layout_marginRight="20dp"
        android:textColor="@color/title"
        android:textSize="13sp"
        tools:text="Kris Wu never let you down." />

    <com.google.android.flexbox.FlexboxLayout
        android:id="@+id/message_kefu_images_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="18dp"
        android:layout_marginTop="12dp"
        android:layout_marginRight="18dp"
        android:visibility="gone"
        app:flexWrap="wrap" />

    <TextView
        android:id="@+id/message_kefu_suggestion"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="20dp"
        android:layout_marginTop="8dp"
        android:layout_marginRight="20dp"
        android:background="@color/ui_background"
        android:padding="11dp"
        android:textColor="@color/title"
        android:textSize="12sp"
        android:visibility="visible"
        tools:text="Kris is here to help" />

    <LinearLayout
        android:id="@+id/message_lines_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:paddingStart="12dp"
        android:paddingEnd="12dp"
        android:paddingTop="10dp"
        android:layout_marginTop="8dp"
        android:paddingBottom="10dp"
        android:layout_marginStart="20dp"
        android:layout_marginEnd="20dp"
        android:background="@drawable/bg_shape_f8_radius_8"
        android:visibility="gone" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="20dp"
        android:layout_marginRight="20dp"
        android:orientation="horizontal">

        <LinearLayout
            android:id="@+id/message_skip_list"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:orientation="vertical" />

        <LinearLayout
            android:id="@+id/copy_id_container"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="16dp"
            android:layout_marginTop="10dp"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:visibility="gone"
            tools:visibility="visible">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/ic_id" />

            <TextView
                android:id="@+id/copyTv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="4dp"
                android:text="@string/copy_id"
                android:textColor="@color/text_secondary"
                android:textSize="10sp" />
        </LinearLayout>

    </LinearLayout>

</LinearLayout>